package com.fjhx.admin.controller.stock;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.admin.entity.stock.vo.StockVo;
import com.fjhx.admin.entity.stock.dto.StockSelectDto;
import com.fjhx.admin.entity.stock.dto.StockDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.admin.service.stock.StockService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 库存 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-03-20
 */
@RestController
@RequestMapping("/stock")
public class StockController {

    @Autowired
    private StockService stockService;

    /**
     * 库存分页
     */
    @PostMapping("/page")
    public Page<StockVo> page(@RequestBody StockSelectDto dto) {
        return stockService.getPage(dto);
    }

    /**
     * 库存明细
     */
    @PostMapping("/detail")
    public StockVo detail(@RequestBody BaseSelectDto dto) {
        return stockService.detail(dto.getId());
    }

    /**
     * 手动入库添加
     */
    @PostMapping("/add")
    public void add(@RequestBody StockDto stockDto) {
        stockService.add(stockDto);
    }

    /**
     * 库存编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody StockDto stockDto) {
        stockService.edit(stockDto);
    }

    /**
     * 库存删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        stockService.delete(dto.getId());
    }

}
