package com.fjhx.admin.service.stock;

import com.fjhx.admin.entity.stock.po.Stock;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.admin.entity.stock.vo.StockVo;
import com.fjhx.admin.entity.stock.dto.StockSelectDto;
import com.fjhx.admin.entity.stock.dto.StockDto;


/**
 * <p>
 * 库存 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-20
 */
public interface StockService extends BaseService<Stock> {

    /**
     * 库存分页
     */
    Page<StockVo> getPage(StockSelectDto dto);

    /**
     * 库存明细
     */
    StockVo detail(Long id);

    /**
     * 库存新增
     */
    void add(StockDto stockDto);

    /**
     * 库存编辑
     */
    void edit(StockDto stockDto);

    /**
     * 库存删除
     */
    void delete(Long id);

}
