package com.fjhx.admin.service.stock.impl;

import com.fjhx.admin.entity.stock.po.StockJournalDetails;
import com.fjhx.admin.mapper.stock.StockJournalDetailsMapper;
import com.fjhx.admin.service.stock.StockJournalDetailsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.admin.entity.stock.vo.StockJournalDetailsVo;
import com.fjhx.admin.entity.stock.dto.StockJournalDetailsSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.admin.entity.stock.dto.StockJournalDetailsDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 出入库记录明细 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-03-20
 */
@Service
public class StockJournalDetailsServiceImpl extends ServiceImpl<StockJournalDetailsMapper, StockJournalDetails> implements StockJournalDetailsService {

    @Override
    public Page<StockJournalDetailsVo> getPage(StockJournalDetailsSelectDto dto) {
        IWrapper<StockJournalDetails> wrapper = getWrapper();
        wrapper.orderByDesc("sjd", StockJournalDetails::getId);
        Page<StockJournalDetailsVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public StockJournalDetailsVo detail(Long id) {
        StockJournalDetails StockJournalDetails = this.getById(id);
        StockJournalDetailsVo result = BeanUtil.toBean(StockJournalDetails, StockJournalDetailsVo.class);
        return result;
    }

    @Override
    public void add(StockJournalDetailsDto stockJournalDetailsDto) {
        this.save(stockJournalDetailsDto);
    }

    @Override
    public void edit(StockJournalDetailsDto stockJournalDetailsDto) {
        this.updateById(stockJournalDetailsDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
