package com.fjhx.admin.service.stock.impl;

import com.fjhx.admin.entity.stock.po.StockJournal;
import com.fjhx.admin.mapper.stock.StockJournalMapper;
import com.fjhx.admin.service.stock.StockJournalService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.utils.UserUtil;
import org.apache.ibatis.javassist.compiler.ast.Keyword;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.admin.entity.stock.vo.StockJournalVo;
import com.fjhx.admin.entity.stock.dto.StockJournalSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.admin.entity.stock.dto.StockJournalDto;
import cn.hutool.core.bean.BeanUtil;

import java.util.List;
import java.util.Objects;


/**
 * <p>
 * 出入库记录 服务实现类
 * </p>
 *
 * @author
 * @since 2023-03-20
 */
@Service
public class StockJournalServiceImpl extends ServiceImpl<StockJournalMapper, StockJournal> implements StockJournalService {

    @Override
    public Page<StockJournalVo> getPage(StockJournalSelectDto dto) {
        IWrapper<StockJournal> wrapper = getWrapper();
        wrapper.orderByDesc("sj", StockJournal::getId);
        wrapper.eq("sj", StockJournal::getType, dto.getType());
        wrapper.like("w", StockJournalSelectDto::getKeywords, dto.getKeywords());
        Page<StockJournalVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        //根据id赋值操作人名称
        UserUtil.assignmentNickName(page.getRecords(), StockJournalVo::getCreateUser, StockJournalVo::setUserName);
        return page;
    }

    @Override
    public StockJournalVo detail(Long id) {
        IWrapper<StockJournal> wrapper = getWrapper();
        wrapper.eq("sj",StockJournal::getId,id);
        StockJournalVo result = baseMapper.detail(wrapper);
        return result;
    }

    @Override
    public void add(StockJournalDto stockJournalDto) {
        this.save(stockJournalDto);
    }

    @Override
    public void edit(StockJournalDto stockJournalDto) {
        this.updateById(stockJournalDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
